View Composer requires an SQL database to store data. The View Composer database must reside on, or be available to, the View Composer server host.

If a database server instance already exists for vCenter Server, View Composer can use that existing instance if it is a version listed in 1. For example, View Composer can use the Microsoft SQL Server instance provided with vCenter Server. If a database server instance does not already exist, you must install one.

View Composer supports a subset of the database servers that vCenter Server supports. If you are already using vCenter Server with a database server that is not supported by View Composer, continue to use that database server for vCenter Server and install a separate database server to use for View Composer.

Important:

If you create the View Composer database on the same SQL Server instance as vCenter Server, do not overwrite the vCenter Server database.

The following table lists the supported database servers and versions as of the publication date of this document. For the most up-to-date information about supported databases, see the VMware Product Interoperability Matrixes at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php. For Solution/Database Interoperability, after you select the product and version, for the Add Database step, to see a list of all supported databases, select Any and click Add.

Table 1. Supported Database Servers for View Composer

Database

Service Packs/Releases

Editions

Microsoft SQL Server 2014

(32- and 64-bit)

No SP

Standard

Enterprise

Microsoft SQL Server 2012

(32- and 64-bit)

No SP, SP1, SP2

Express

Standard

Enterprise

Microsoft SQL Server 2008 R2

(32- and 64-bit)

SP1, SP2, SP3

Express

Standard

Enterprise

Datacenter

Microsoft SQL Server 2008

(32- and 64-bit)

SP4

Express

Standard

Enterprise

Oracle 12c

Release 1 (any release up to 12.1.0.2)

Standard One

Standard

Enterprise

Oracle 11g

(32- and 64-bit)

Release 2 (11.2.0.4)

Standard One

Standard

Enterprise

Note:

Oracle 10g Release 2 is no longer supported.